Subject: Add possibility to assert error log entries

Description

During the action tests it might happen, that errors occur. To assert expected or unexpected error log entries in the sys_log table, this
functionality shall be added to the functional testing framework.

Related issues:
related to Core - Task # 56792: Enhance assertion of error log entries New 2014-03-11

Associated revisions

Revision e05bd486 - 2014-03-11 22:55 - Oliver Hader

[TASK] Add possibility to assert error log entries

During the action tests it might happen, that errors occur.
To assert expected or unexpected error log entries in the
sys_log table, this functionality shall be added to the

functional testing framework.

Resolves: #56369

Releases: 6.2

Change-Id: 107806e69cb7f575c844a3adf442233a82fa01505
Reviewed-on: https://review.typo3.org/27886

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-02-27 10:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27886

#2 - 2014-03-10 15:27 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27886

#3 - 2014-03-11 23:30 - Oliver Hader
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:e05bd486c6c029590dbc8e83bd6ee5d5ed40026a.
